This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316785 - [GSS] - ls gives error "Structure needs cleaning"
[GSS] - ls gives error "Structure needs cleaning"
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 00:07 EST by Bipin Kunal
Modified: 2016-04-12 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 04:09:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bipin Kunal 2016-03-11 00:07:11 EST
Description of problem: Error "Structure needs cleaning" is seen while performing ls on volume mount point 

ls -ltr
ls: cannot access 49cbd69f1595: Structure needs cleaning
ls: cannot access 848ffc6c0391: Structure needs cleaning
ls: cannot access 41cfef56bd73: Structure needs cleaning
ls: cannot access 00113b723cc7: Structure needs cleaning
ls: cannot access a7e6591c1cbc: Structure needs cleaning
ls: cannot access 2fe8baf56ce5: Structure needs cleaning
ls: cannot access 0662d338cffd: Structure needs cleaning

?????????? ? ? ? ? ? feca2af2a5cc
?????????? ? ? ? ? ? fdefbe7f31f8
?????????? ? ? ? ? ? fdb8f3a6356f
?????????? ? ? ? ? ? fc040624dd5c
?????????? ? ? ? ? ? faadb8e6a7c0
?????????? ? ? ? ? ? fa1cec387c37
?????????? ? ? ? ? ? f93e6eb0bac5
Version-Release number of selected component (if applicable):

RHGS-3.1.1

Expected results:
ls should show directory listing without "Structure needs cleaning"

Additional info:

Note You need to log in before you can comment on or make changes to this bug.